package com.goldenwater.yjjt.service.impl;

import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.yjjt.domain.YjjtSlData;
import com.goldenwater.yjjt.mapper.YjjtSlDataMapper;
import com.goldenwater.yjjt.service.IYjjtSlDataService;

/**
 * 引江济太水量数据Service业务层处理
 */
@Service
public class YjjtSlDataServiceImpl implements IYjjtSlDataService
{
    @Autowired
    private YjjtSlDataMapper yjjtSlDataMapper;

    @Override
    public YjjtSlData selectYjjtSlDataById(Long id)
    {
        return yjjtSlDataMapper.selectYjjtSlDataById(id);
    }

    @Override
    public List<YjjtSlData> selectYjjtSlDataList(YjjtSlData slData)
    {
        return yjjtSlDataMapper.selectYjjtSlDataList(slData);
    }

    @Override
    public int insertYjjtSlData(YjjtSlData slData)
    {
        return yjjtSlDataMapper.insertYjjtSlData(slData);
    }

    @Override
    public int updateYjjtSlData(YjjtSlData slData)
    {
        return yjjtSlDataMapper.updateYjjtSlData(slData);
    }

    @Override
    public int deleteYjjtSlDataByIds(Long[] ids)
    {
        return yjjtSlDataMapper.deleteYjjtSlDataByIds(ids);
    }

    @Override
    public int deleteYjjtSlDataById(Long id)
    {
        return yjjtSlDataMapper.deleteYjjtSlDataById(id);
    }

    @Override
    public List<String> selectDistinctRvnmList()
    {
        return yjjtSlDataMapper.selectDistinctRvnmList();
    }

    @Override
    public List<Map<String, Object>> selectCountByDateRange(String beginDate, String endDate)
    {
        return yjjtSlDataMapper.selectCountByDateRange(beginDate, endDate);
    }

    @Override
    public Map<String, Object> selectTodayWeekMonthCount(String addvcd)
    {
        return yjjtSlDataMapper.selectTodayWeekMonthCount(addvcd);
    }
}
